//---------------------------------------------------------------------------
#ifndef ArcstoLinesH
#define ArcstoLinesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

//                    0         1         2
enum TPlane       {TXYPlane, TXZPlane, TYZPlane};
enum TSpindleDir  {TCW     , TCCW    ,    TStop};
enum TCoolant     {TMist   , TFlood  ,    TNone};
enum TUnits       {TMetric , TInch};
enum TCutterComp  {TCCNone , TCCLeft , TCCRight};
enum TPathControl {TExact  , TVelocity};

class TScaleForm : public TForm
{
__published:	// IDE-managed Components
    TEdit *Edit1;
    TEdit *Edit2;
    TButton *ConvertButton;
    TButton *OriginalGCodeButton;
    TButton *NewGCodeButton;
    TButton *HelpButton;
    TButton *CloseButton;
    TLabel *Label1;
    TLabel *Label2;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TLabel *Label3;
    TLabel *Label4;
    TEdit *Edit3;
    TLabel *Label5;
    TEdit *Edit4;
    void __fastcall OriginalGCodeButtonClick(TObject *Sender);
    void __fastcall NewGCodeButtonClick(TObject *Sender);
    void __fastcall ConvertButtonClick(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TScaleForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TScaleForm *ScaleForm;
//---------------------------------------------------------------------------
#endif
